DtMmdbGetBookCaseByName(library call)

NAME
DtMmdbGetBookCaseByName — obtains a descriptor for a bookcase based on the bookcase name

SYNOPSIS

#include &<DtMmdb.h>
int DtMmdbGetBookCaseByName(
int infolib_descriptor,
const char* base_name);

DESCRIPTION

The DtMmdbGetBookCaseByName function makes the database engine ready to provide access service for a bookcase. It allows you to access a bookcase by supplying its name.

ARGUMENTS

infolib_descriptor
    Specifies the infolib that contains the bookcase.

base_name
    Specifies the name of the bookcase.

RETURN VALUE

If DtMmdbGetBookCaseByName completes successfully, it returns the descriptor for the bookcase. If it fails, it returns -1, indicating that there is no bookcase in the infolib with the specified name.

EXAMPLE

The following shows how a DtMmdbGetBookCaseByName call might be coded.

DtMmdbGetBookCaseByName(myInfoLib, "thisBookCase");

SEE ALSO

DtMmdbGetBookCaseByIndex(3), DtMmdbGetBookCaseByLoc(3), DtMmdbGetBookCaseByLocs(3)